ChangeSet 1.1315.8.13, 2003/09/17 12:20:18-07:00, nikai@nikai.net

[PATCH] USB: Remove modules.txt: usb serial & storage


 drivers/usb/Kconfig         |   12 +---
 drivers/usb/serial/Kconfig  |  121 ++++++++++++++------------------------------
 drivers/usb/storage/Kconfig |    6 --
 3 files changed, 46 insertions(+), 93 deletions(-)


diff -Nru a/drivers/usb/Kconfig b/drivers/usb/Kconfig
--- a/drivers/usb/Kconfig	Fri Sep 19 17:12:53 2003
+++ b/drivers/usb/Kconfig	Fri Sep 19 17:12:53 2003
@@ -33,10 +33,8 @@
 
 	  It doesn't normally hurt to select them all if you are not certain.
 
-	  This code is also available as a module ( = code which can be
-	  inserted in and removed from the running kernel whenever you want).
-	  The module will be called usbcore.  If you want to compile it as a
-	  module, say M here and read <file:Documentation/modules.txt>.
+	  To compile this driver as a module, say M here: the
+	  module will be called usbcore.
 
 source "drivers/usb/core/Kconfig"
 
@@ -82,10 +80,8 @@
 	  Say Y here if you own an USS-720 USB->Parport cable and intend to
 	  connect anything other than a printer to it.
 
-	  This code is also available as a module ( = code which can be
-	  inserted in and removed from the running kernel whenever you want).
-	  The module will be called uss720. If you want to compile it as a
-	  module, say M here and read <file:Documentation/modules.txt>.
+	  To compile this driver as a module, say M here: the
+	  module will be called uss720.
 
 source "drivers/usb/serial/Kconfig"
 
diff -Nru a/drivers/usb/serial/Kconfig b/drivers/usb/serial/Kconfig
--- a/drivers/usb/serial/Kconfig	Fri Sep 19 17:12:53 2003
+++ b/drivers/usb/serial/Kconfig	Fri Sep 19 17:12:53 2003
@@ -17,10 +17,8 @@
 	  information on the specifics of the different devices that are
 	  supported, and on how to use them.
 
-	  This code is also available as a module ( = code which can be
-	  inserted in and removed from the running kernel whenever you want).
-	  The module will be called usbserial. If you want to compile it
-	  as a module, say M here and read <file:Documentation/modules.txt>.
+	  To compile this driver as a module, say M here: the
+	  module will be called usbserial.
 
 config USB_SERIAL_DEBUG
 	bool "USB Serial Converter verbose debug"
@@ -70,10 +68,8 @@
 	  adaptor (F5U103 is one of the model numbers) or the Peracom single
 	  port USB to serial adapter.
 
-	  This code is also available as a module ( = code which can be
-	  inserted in and removed from the running kernel whenever you want).
-	  The module will be called belkin_sa.  If you want to compile it as
-	  a module, say M here and read <file:Documentation/modules.txt>.
+	  To compile this driver as a module, say M here: the
+	  module will be called belkin_sa.
 
 config USB_SERIAL_WHITEHEAT
 	tristate "USB ConnectTech WhiteHEAT Serial Driver"
@@ -82,10 +78,8 @@
 	  Say Y here if you want to use a ConnectTech WhiteHEAT 4 port
 	  USB to serial converter device.
 
-	  This code is also available as a module ( = code which can be
-	  inserted in and removed from the running kernel whenever you want).
-	  The module will be called whiteheat.  If you want to compile it as
-	  a module, say M here and read <file:Documentation/modules.txt>.
+	  To compile this driver as a module, say M here: the
+	  module will be called whiteheat.
 
 config USB_SERIAL_DIGI_ACCELEPORT
 	tristate "USB Digi International AccelePort USB Serial Driver"
@@ -99,11 +93,8 @@
 	  This driver works under SMP with the usb-uhci driver.  It does not
 	  work under SMP with the uhci driver.
 
-	  This code is also available as a module ( = code which can be
-	  inserted in and removed from the running kernel whenever you want).
-	  The module will be called digi_acceleport.  If you want to compile
-	  it as a module, say M here and read
-	  <file:Documentation/modules.txt>.
+	  To compile this driver as a module, say M here: the
+	  module will be called digi_acceleport.
 
 config USB_SERIAL_EMPEG
 	tristate "USB Empeg empeg-car Mark I/II Driver"
@@ -114,10 +105,8 @@
 	  device node.  See <file:Documentation/usb/usb-serial.txt> for more
 	  tidbits of information.
 
-	  This code is also available as a module ( = code which can be
-	  inserted in and removed from the running kernel whenever you want).
-	  The module will be called empeg. If you want to compile it as a
-	  module, say M here and read <file:Documentation/modules.txt>.
+	  To compile this driver as a module, say M here: the
+	  module will be called empeg.
 
 config USB_SERIAL_FTDI_SIO
 	tristate "USB FTDI Single Port Serial Driver (EXPERIMENTAL)"
@@ -130,10 +119,8 @@
 	  See <http://ftdi-usb-sio.sourceforge.net/> for more
 	  information on this driver and the device.
 
-	  This code is also available as a module ( = code which can be
-	  inserted in and removed from the running kernel whenever you want).
-	  The module will be called ftdi_sio.  If you want to compile it as
-	  a module, say M here and read <file:Documentation/modules.txt>.
+	  To compile this driver as a module, say M here: the
+	  module will be called ftdi_sio.
 
 config USB_SERIAL_VISOR
 	tristate "USB Handspring Visor / Palm m50x / Sony Clie Driver"
@@ -144,10 +131,8 @@
 	  <http://usbvisor.sourceforge.net/> for more information on using this
 	  driver.
 
-	  This code is also available as a module ( = code which can be
-	  inserted in and removed from the running kernel whenever you want).
-	  The module will be called visor. If you want to compile it as a
-	  module, say M here and read <file:Documentation/modules.txt>.
+	  To compile this driver as a module, say M here: the
+	  module will be called visor.
 
 config USB_SERIAL_IPAQ
 	tristate "USB PocketPC PDA Driver"
@@ -158,10 +143,8 @@
 	  using a USB cradle/cable. For information on using the driver,
 	  read <file:Documentation/usb/usb-serial.txt>.
 
-	  This code is also available as a module ( = code which can be
-	  inserted in and removed from the running kernel whenever you want).
-	  The module will be called ipaq. If you want to compile it as a
-	  module, say M here and read <file:Documentation/modules.txt>.
+	  To compile this driver as a module, say M here: the
+	  module will be called ipaq.
 
 config USB_SERIAL_IR
 	tristate "USB IR Dongle Serial Driver (EXPERIMENTAL)"
@@ -171,10 +154,8 @@
 	  devices.  This is useful if you do not want to use the full IrDA
 	  stack.
 
-	  This code is also available as a module ( = code which can be
-	  inserted in and removed from the running kernel whenever you want).
-	  The module will be called ir-usb. If you want to compile it as a
-	  module, say M here and read <file:Documentation/modules.txt>.
+	  To compile this driver as a module, say M here: the
+	  module will be called ir-usb.
 
 config USB_SERIAL_EDGEPORT
 	tristate "USB Inside Out Edgeport Serial Driver"
@@ -199,10 +180,8 @@
 	  Edgeport/4 DIN
 	  Edgeport/16 Dual
 
-	  This code is also available as a module ( = code which can be
-	  inserted in and removed from the running kernel whenever you want).
-	  The module will be called io_edgeport.  If you want to compile it
-	  as a module, say M here and read <file:Documentation/modules.txt>.
+	  To compile this driver as a module, say M here: the
+	  module will be called io_edgeport.
 
 config USB_SERIAL_EDGEPORT_TI
 	tristate "USB Inside Out Edgeport Serial Driver (TI devices)"
@@ -212,10 +191,8 @@
 	  Networks (Digi) that are not supported by the io_edgeport driver.
 	  This includes the Edgeport/1 device.
 
-	  This code is also available as a module ( = code which can be
-	  inserted in and removed from the running kernel whenever you want).
-	  The module will be called io_ti.  If you want to compile it
-	  as a module, say M here and read <file:Documentation/modules.txt>.
+	  To compile this driver as a module, say M here: the
+	  module will be called io_ti.
 
 config USB_SERIAL_KEYSPAN_PDA
 	tristate "USB Keyspan PDA Single Port Serial Driver"
@@ -225,10 +202,8 @@
 	  serial converter device.  This driver makes use of firmware
 	  developed from scratch by Brian Warner.
 
-	  This code is also available as a module ( = code which can be
-	  inserted in and removed from the running kernel whenever you want).
-	  The module will be called keyspan_pda. If you want to compile it
-	  as a module, say M here and read <file:Documentation/modules.txt>.
+	  To compile this driver as a module, say M here: the
+	  module will be called keyspan_pda.
 
 config USB_SERIAL_KEYSPAN
 	tristate "USB Keyspan USA-xxx Serial Driver"
@@ -241,10 +216,8 @@
 
 	  See <http://misc.nu/hugh/keyspan.html> for more information.
 
-	  This code is also available as a module ( = code which can be
-	  inserted in and removed from the running kernel whenever you want).
-	  The module will be called keyspan. If you want to compile it as a
-	  module, say M here and read <file:Documentation/modules.txt>.
+	  To compile this driver as a module, say M here: the
+	  module will be called keyspan.
 
 config USB_SERIAL_KEYSPAN_MPR
 	bool "USB Keyspan MPR Firmware"
@@ -337,10 +310,8 @@
 	  Please read <file:Documentation/usb/usb-serial.txt> for more
 	  information.
 
-	  This code is also available as a module ( = code which can be
-	  inserted in and removed from the running kernel whenever you want).
-	  The module will be called kl5kusb105. If you want to compile it as
-	  a module, say M here and read <file:Documentation/modules.txt>.
+	  To compile this driver as a module, say M here: the
+	  module will be called kl5kusb105.
 
 config USB_SERIAL_KOBIL_SCT
         tristate "USB KOBIL chipcard reader (EXPERIMENTAL)"
@@ -357,10 +328,8 @@
             - KAAN Professional
 
           Note that you need a current CT-API.
-          This code is also available as a module ( = code which can be
-          inserted in and removed from the running kernel whenever you want).
-          The module will be called kobil_sct. If you want to compile it as
-          a module, say M here and read <file:Documentation/modules.txt>.
+          To compile this driver as a module, say M here: the
+	  module will be called kobil_sct.
 
 config USB_SERIAL_MCT_U232
 	tristate "USB MCT Single Port Serial Driver"
@@ -372,10 +341,8 @@
 	  This driver also works with Sitecom U232-P25 and D-Link DU-H3SP USB
 	  BAY devices.
 
-	  This code is also available as a module ( = code which can be
-	  inserted in and removed from the running kernel whenever you want).
-	  The module will be called mct_u232.  If you want to compile it as
-	  a module, say M here and read <file:Documentation/modules.txt>.
+	  To compile this driver as a module, say M here: the
+	  module will be called mct_u232.
 
 config USB_SERIAL_PL2303
 	tristate "USB Prolific 2303 Single Port Serial Driver"
@@ -384,10 +351,8 @@
 	  Say Y here if you want to use the PL2303 USB Serial single port
 	  adapter from Prolific.
 
-	  This code is also available as a module ( = code which can be
-	  inserted in and removed from the running kernel whenever you want).
-	  The module will be called pl2303.  If you want to compile it as
-	  a module, say M here and read <file:Documentation/modules.txt>.
+	  To compile this driver as a module, say M here: the
+	  module will be called pl2303.
 
 config USB_SERIAL_SAFE
 	tristate "USB Safe Serial (Encapsulated) Driver (EXPERIMENTAL)"
@@ -405,10 +370,8 @@
 	  reader. This is an interface to ISO 7816 compatible contactbased
 	  chipcards, e.g. GSM SIMs.
 
-	  This code is also available as a module ( = code which can be
-	  inserted in and removed from the running kernel whenever you want).
-	  The module will be called cyberjack. If you want to compile it as
-	  a module, say M here and read <file:Documentation/modules.txt>.
+	  To compile this driver as a module, say M here: the
+	  module will be called cyberjack.
 
 	  If unsure, say N.
 
@@ -420,10 +383,8 @@
 	  serial converter device.  This driver makes use of firmware
 	  developed from scratch by Brian Warner.
 
-	  This code is also available as a module ( = code which can be
-	  inserted in and removed from the running kernel whenever you want).
-	  The module will be called keyspan_pda. If you want to compile it
-	  as a module, say M here and read <file:Documentation/modules.txt>.
+	  To compile this driver as a module, say M here: the
+	  module will be called keyspan_pda.
 
 config USB_SERIAL_OMNINET
 	tristate "USB ZyXEL omni.net LCD Plus Driver (EXPERIMENTAL)"
@@ -431,10 +392,8 @@
 	help
 	  Say Y here if you want to use a ZyXEL omni.net LCD ISDN TA.
 
-	  This code is also available as a module ( = code which can be
-	  inserted in and removed from the running kernel whenever you want).
-	  The module will be called omninet. If you want to compile it as a
-	  module, say M here and read <file:Documentation/modules.txt>.
+	  To compile this driver as a module, say M here: the
+	  module will be called omninet.
 
 config USB_EZUSB
 	bool
diff -Nru a/drivers/usb/storage/Kconfig b/drivers/usb/storage/Kconfig
--- a/drivers/usb/storage/Kconfig	Fri Sep 19 17:12:53 2003
+++ b/drivers/usb/storage/Kconfig	Fri Sep 19 17:12:53 2003
@@ -15,10 +15,8 @@
 	  similar devices. This driver may also be used for some cameras and
 	  card readers.
 
-	  This code is also available as a module ( = code which can be
-	  inserted in and removed from the running kernel whenever you want).
-	  The module will be called usb-storage. If you want to compile it
-	  as a module, say M here and read <file:Documentation/modules.txt>.
+	  To compile this driver as a module, say M here: the
+	  module will be called usb-storage.
 
 config USB_STORAGE_DEBUG
 	bool "USB Mass Storage verbose debug"
